%define upstream_name    Gazelle
%define upstream_version 0.49

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5

Summary:    Preforked Plack Handler for performance freaks
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module//%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Devel::CheckCompiler)
BuildRequires: perl(ExtUtils::CBuilder)
BuildRequires: perl(Guard)
BuildRequires: perl(HTTP::Request::Common)
BuildRequires: perl(HTTP::Tiny) >= 0.58.0
BuildRequires: perl(Module::Build) >= 0.400.500
BuildRequires: perl(Parallel::Prefork) >= 0.180.0
BuildRequires: perl(Plack) >= 1.3.700
BuildRequires: perl(Plack::Test)
BuildRequires: perl(Plack::Test::Suite)
BuildRequires: perl(Server::Starter)
BuildRequires: perl(Stream::Buffered)
BuildRequires: perl(Test::More) >= 0.980.0
BuildRequires: perl(Test::TCP) >= 2.0.0
BuildRequires: perl-devel
%description
Gazelle is a PSGI Handler. It's created based on the Starlet manpage code.
Many code was rewritten and optimized by XS.

Gazelle supports following features.

* * supports HTTP/1.1. But does not have Keepalive.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
export PERL_USE_UNSAFE_INC=1
%__perl Build.PL --installdirs=vendor

./Build

%check
./Build test

%install
./Build install --destdir=%{buildroot}

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml
%{_mandir}/man3/*
%{perl_vendorarch}/*


%changelog
* Thu Aug 04 2022 tv <tv> 0.490.0-5.mga9
+ Revision: 1875091
- Rebuild for perl-5.36

* Thu Mar 17 2022 umeabot <umeabot> 0.490.0-4.mga9
+ Revision: 1796739
- Mageia 9 Mass Rebuild

* Sat Jul 18 2020 tv <tv> 0.490.0-3.mga8
+ Revision: 1606977
- rebuild for perl-5.32 (binary package w/o a dep on libperl.so

* Tue Feb 18 2020 umeabot <umeabot> 0.490.0-2.mga8
+ Revision: 1539306
- Mageia 8 Mass Rebuild

* Sat Dec 07 2019 tv <tv> 0.490.0-1.mga8
+ Revision: 1464868
- update to 0.49

* Fri Sep 21 2018 umeabot <umeabot> 0.480.0-3.mga7
+ Revision: 1292935
- Mageia 7 Mass Rebuild

* Wed Aug 08 2018 pterjan <pterjan> 0.480.0-2.mga7
+ Revision: 1250095
- Rebuild for perl 5.28

* Thu Mar 08 2018 shlomif <shlomif> 0.480.0-1.mga7
+ Revision: 1207344
- Add BRs
- update to 0.48

* Mon Oct 02 2017 tv <tv> 0.460.0-3.mga7
+ Revision: 1164461
- rebuild with fixed rpm for missing autodeps

* Thu Aug 31 2017 pterjan <pterjan> 0.460.0-2.mga7
+ Revision: 1149627
- Rebuild for perl ABI changes

* Mon Jul 31 2017 sander85 <sander85> 0.460.0-1.mga7
+ Revision: 1132948
- update to 0.46
- Let's bring it back (requested by Frédéric Buclin in mga#16865)
- New version brings in new deps and nothing requires it

* Sun May 08 2016 shlomif <shlomif> 0.430.0-1.mga6
+ Revision: 1010888
- new version 0.43

* Thu Mar 24 2016 shlomif <shlomif> 0.420.0-1.mga6
+ Revision: 994781
- update to 0.42

* Wed Feb 24 2016 shlomif <shlomif> 0.410.0-1.mga6
+ Revision: 978764
- update to 0.41

* Fri Jan 22 2016 shlomif <shlomif> 0.400.0-1.mga6
+ Revision: 926532
- Importing from cpan2pkg

